//-------------------------------------------------------------------------
//          Output functions
//-------------------------------------------------------------------------
//
//      PrintHeaderComments
//          Prints out the leading comments which describe the file type.
//	    The function is created by createPrintHeaderComment.pl with
//	    the contents of OUTPUT
//.........................................................................

#include <set>
#include "caida_t.h"
#include "config.h"

    struct control_struct {
        bool debug_mode;
        int debug_numlines;
        int skip_numlines;

        bool print_geo_info;
        set<ipv4addr_t> seen_ip;

	bool hideComments;
        bool hideSource;
        bool hideDestination;
        bool hideTimestamp;
        bool hideReply;
        bool hideHalt;
        bool hidePath;
        bool hideIntermediate;

        control_struct() {
            debug_mode = false;
            debug_numlines = 0;
            skip_numlines = -1;

            print_geo_info = false;

            hideComments = false;
            hideSource = false;
            hideDestination = false;
            hideTimestamp = false;
            hideReply = false;
            hideHalt = false;
            hidePath = false;
            hideIntermediate = false;
        }
    };


void PrintHeaderComments(struct control_struct * control);

